/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * Bickley - a meta data management framework.
 * Copyright © 2008, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef __KOZO_ENTRY_H__
#define __KOZO_ENTRY_H__

#include <glib.h>
#include <kozo-types.h>

KozoField    *kozo_entry_get_field    (KozoEntry *entry,
                                       int        field_id);

const guint8 *kozo_entry_get_raw_data (KozoEntry *entry,
                                       guint32   *length);

void          kozo_entry_free         (KozoEntry *entry);
void          kozo_entry_dump         (KozoEntry *entry,
                                       int        n_fields);

#endif /* __KOZO_ENTRY_H__ */
